Cache
All operations require authentication.
List cache rulesProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Query parameters
Filter the value of fileMatch property (like)
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a cache ruleProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Request body (required)
Type of cache rule to add to the domain
forceCachenoCacheFile match for cache rule to add to the domain
File type for cache rule to add to the domain
extensionfilefolderttl for cache rule to add to the domain
Response
Id for this cache rule
All type a cache can be in
forceCachenoCacheAll states an anycast pool can be in
extensionfilefolderAll states a status can be in
creatingdeletingerroroffonupdatingExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules \
-H "authorization: Bearer $OVH_TOKEN"{ "cacheRuleId": 0, "cacheType": "forceCache", "domain": "string", "fileMatch": "string", "fileType": "extension", "status": "creating", "ttl": 0}
Get a cache ruleProduction
Path parameters
Id for this cache rule
Domain of this object
The internal name of your CDN offer
Response
Id for this cache rule
All type a cache can be in
forceCachenoCacheAll states an anycast pool can be in
extensionfilefolderAll states a status can be in
creatingdeletingerroroffonupdatingExample uses cacheRuleId = 0, domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules/ {cacheRuleId} \
-H "authorization: Bearer $OVH_TOKEN"{ "cacheRuleId": 0, "cacheType": "forceCache", "domain": "string", "fileMatch": "string", "fileType": "extension", "status": "creating", "ttl": 0}
Delete a cache ruleProduction
Path parameters
Id for this cache rule
Domain of this object
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses cacheRuleId = 0, domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules/ {cacheRuleId} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}
Update a cache ruleProduction
Path parameters
Id for this cache rule
Domain of this object
The internal name of your CDN offer
Request body (required)
Id for this cache rule
All type a cache can be in
forceCachenoCacheAll states an anycast pool can be in
extensionfilefolderAll states a status can be in
creatingdeletingerroroffonupdatingResponse
Example uses cacheRuleId = 0, domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules/ {cacheRuleId} \
-H "authorization: Bearer $OVH_TOKEN"Flush the cache of a ruleProduction
Path parameters
Id for this cache rule
Domain of this object
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses cacheRuleId = 0, domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ cacheRules/ {cacheRuleId}/ flush \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}
Flush the domain cacheProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain}/ flush \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}